Schedule a Playbook Run
Schedules a Playbook Run.
Authorizations
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
The Id of the Playbook
24^[a-z0-9]{24}$Body
Response
Successfully scheduled the Playbook Run. Returns the created task (run) metadata.
Created task metadata (same shape as ITaskReturnValue).
24^[a-z0-9]{24}$Task status (e.g. queued, active, done)
"queued"
Task type (e.g. runPlaybook)
"runPlaybook"
Task payload (playbookId, projectId, entrypoint, flowId, localeId, etc.)
Unix timestamp in seconds when the task was created
Unix timestamp in seconds when the task was last updated
Task progress (0-100)
0 <= x <= 100Present only when the task runs as a Kubernetes job